function createInitialBookmark(){
try{
try{

apps_nvram_file.read({"filename":"Bookmark",async:false,
finished:function(){},product_id:"home"});}catch(e){


var ext_filename=(system.locale.country=="JP")?".JP":"";
http_request({url:"file:///usr/local/application/0077777700140002/gadget/init/bookmark_img_1"+ext_filename,
sync:true,method:"GET",
onload:function(status,header,body){
try{
if(status==200){
apps_nvram_file.write({"filename":"1357628126643",
"data":body,async:false,
finished:function(){},product_id:"home"});}else{
console.log("Cannot find initial bookmark image file");}
}catch(e){
console.log(e.message);}
}
});
if(system.locale.country=="JP"){

http_request({url:"file:///usr/local/application/0077777700140002/gadget/init/bookmark_img_2"+ext_filename,
sync:true,method:"GET",
onload:function(status,header,body){
try{
if(status==200){
apps_nvram_file.write({"filename":"1357628126743",
"data":body,async:false,
finished:function(){},product_id:"home"});}else{
console.log("Cannot find initial bookmark image file");}
}catch(e){
console.log(e.message);}
}
});}
if(system.mdl_cfg.with_bp_transit_effect&&!SU_IS_4K&&!SU_IS_PRO5TV){

http_request({url:"file:///usr/local/application/0077777700140002/gadget/init/bookmark_img_big_1"+ext_filename,
sync:true,method:"GET",
onload:function(status,header,body){
try{
if(status==200){
if(platinum_transient_file!=null){
platinum_transient_file.write({"filename":"1357628126643_platinum",
"data":body,async:false,
finished:function(){}});}
}else{
console.log("Cannot find image file for transit effect");}
}catch(e){
console.log(e.message);}
}
});
if(system.locale.country=="JP"){

http_request({url:"file:///usr/local/application/0077777700140002/gadget/init/bookmark_img_big_2"+ext_filename,
sync:true,method:"GET",
onload:function(status,header,body){
try{
if(status==200){
if(platinum_transient_file!=null){
platinum_transient_file.write({"filename":"1357628126743_platinum",
"data":body,async:false,
finished:function(){}});}
}else{
console.log("Cannot find image file for transit effect");}
}catch(e){
console.log(e.message);}
}
});}
}
if(SU_IS_4K||SU_IS_PRO5TV){

http_request({url:"file:///usr/local/application/0077777700140002/gadget/init/bookmark_img_4k_1"+ext_filename,
sync:true,method:"GET",
onload:function(status,header,body){
try{
if(status==200){
apps_nvram_file.write({"filename":"1357628126643_4k",
"data":body,async:false,
finished:function(){},product_id:"home"});}else{
console.log("Cannot find image file for 4k effect");}
}catch(e){
console.log(e.message);}
}
});
if(system.locale.country=="JP"){

http_request({url:"file:///usr/local/application/0077777700140002/gadget/init/bookmark_img_4k_2"+ext_filename,
sync:true,method:"GET",
onload:function(status,header,body){
try{
if(status==200){
apps_nvram_file.write({"filename":"1357628126743_4k",
"data":body,async:false,
finished:function(){},product_id:"home"});}else{
console.log("Cannot find image file for 4k effect");}
}catch(e){
console.log(e.message);}
}
});}
}

http_request({url:"file:///usr/local/application/0077777700140002/gadget/init/Bookmark"+ext_filename,
sync:true,method:"GET",
onload:function(status,header,body){
try{
if(status==200){
apps_nvram_file.write({"filename":"Bookmark",
"data":body,async:false,
finished:function(){},product_id:"home"});}else{
console.log("Cannot find initial bookmark file");}
}catch(e){
console.log(e.message);}
}
});}
}catch(e){}
}
provide("initial_bookmark");
